/* Stile base: Desktop (>768px) */
* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-family:'Montserrat', verdana;
}

html, body {
	height: 100%;
}

body {
	display: flex;
	flex-direction: column;
	font-family: 'Montserrat', verdana;
	background: #5B8266;
	color: #334155;
	line-height: 1.5;
}

h1,h2,h3,h4,h5,h6 {
	color: #212922;
}

header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15px 30px;
	background: #294936;
	color: #F8FAFC;
	height: 100px;
}

.logo {
	display: flex;
	align-items: center;
	gap: 10px;
	font-family: 'Montserrat', sans-serif;
	font-size: 30px;
	font-weight: bold;
}

.logo img {
	height: 50px;
}

nav {
	background: #3E6259;
	position: sticky;
	top: 0;
}

.menu {
	display: flex;
	list-style: none;
	gap: 10px;
	padding: 10px 30px;
	font-size: 10px;
}

.menu a {
	display: block;
	padding: 10px 20px;
	background: #aef6c7;
	color: #000000;
	text-decoration: none;
	border-radius: 5px;
	width: 100px;
	text-align: center;
	font-weight: bold;
}

.menu a:hover {
	background: #5b8266;
}

.menu a.active {
	background: #5b8266;
	color: #000000;
	font-weight: bold;
}
.hamburger {
	display: none;
	flex-direction: column;
	gap: 5px;
	cursor: pointer;
}

.hamburger .material-icons {
	font-size: 32px;
	color: white;
}

.container {
	flex: 1;
	display: flex;
	width: 100%;
	gap: 20px;
	padding: 20px 30px;
}

main {
	flex: 3;
}

article {
	background: white;
	padding: 20px;
	margin-bottom: 20px;
	overflow: auto;
}

article img {
	float: left;
	width: 33%;
	min-width: 200px;
	margin-right: 20px;
	margin-bottom: 10px;
	background: #ffffff;
	padding: 6px;
	border: 1px solid #e5e7eb;
	box-shadow: 0 4px 8px rgba(0,0,0,0.08);
}

aside {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: 20px;
}

.box {
	background: white;
	padding: 15px;
}

.box img {
	width: 100%;
	background: #ffffff;
	padding: 6px;
	border: 1px solid #e5e7eb;
	box-shadow: 0 4px 8px rgba(0,0,0,0.08);
}

footer {
	background: #294936;
	color: #F8FAFC;
	text-align: center;
	height: auto;
}

footer a {
	color: #1E90FF;
	text-decoration: none;
}

footer a:hover{
	color: #6CC551;
}

/* Tablet e smartphone grandi (≤768px) */
@media (max-width: 768px) {
	.container {
		flex-direction: column;
	}

	aside {
		flex-direction: row;
	}
  
	aside .box {
		flex: 1;
	}
  tr {
    margin-bottom: 15px;
    border: 1px solid #dddddd;
    border-radius: 6px;
    padding: 10px;
    background-color: #ffffff;
  }

  td {
    border: none;
    padding: 8px 10px;
    display: block;
	overflow: hidden;
  }


  td img {
    max-width: 80px;
	height:auto;
  }

}

/* Smartphone piccoli (≤480px) */
@media (max-width: 480px) {
	nav {
		position: fixed;
		top:0;
		right:0;
		bottom:0;
		left:0;
		background: #294936;
		display: flex;
		transform: translateY(-100%);
		transition: transform 0.4s ease;
		z-index: 100;
	}

	nav.show {
		transform: translateY(0);
	}

	.menu {
		flex-direction: column;
		gap: 30px;
		padding: 80px 0 0 0;
		font-size: 24px;
		font-weight: 600;
	}

	.menu a {
		color: #FFFFFF;	  
		background: none;
		text-align: left;
	}

	.menu a:hover {
		color: #6CC551;
		background: none;
	}
  
	.menu a.active {
		color: #6CC551;
		background: none;
	}

	.menu a.active:hover {
		color: #6CC551;
		background: none;
	}

	.hamburger {
		display: flex;
		z-index: 101;
	}

	.hamburger .material-icons {
		font-size: 36px;
		color: #FFFFFF;
		cursor: pointer;
	}

	aside {
		flex-direction: column;
	}
	 td {
    flex-direction: column;
    align-items: flex-start;
  }

  td::before {
    margin-bottom: 5px;
  }

  td img {
    max-width: 100%;
    margin-top: 5px;
  }
}
/* Stile base: Desktop (>768px) */
table {
  width: 100%;
  border-collapse: collapse;
  margin: 20px 0;
  background-color: #ffffff;
}

td {
  padding: 10px;
  border-bottom: 1px solid #dddddd;
  vertical-align: middle;
}

td img {
  max-width: 120px;
  height: auto;
  border-radius: 6px;
  display: block;
  margin: auto;
}

td p {
  margin: 0;
  line-height: 1.5;
  color: #333333;
}

.center {
  text-align: center;
}

.table-container {
  overflow-x: auto;
}
#ghiandola{
	height: 305px;
	width: auto;
}

img {
  transition: transform 0.3s ease; 
  cursor: pointer; 
}

img:hover {
  transform: scale(1.1);
}

main a {
	color: green;
	text-decoration: none;
}

main a:hover{
	color: #6CC551;
}
